Summary:        Locate per-dist and per-module shared files
Name:           perl-File-ShareDir
Version:        1.118
Release:        6%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/File-ShareDir
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/File-ShareDir-%{version}.tar.gz
BuildArch:      noarch
# build
BuildRequires:  coreutils, make, perl-generators, perl-interpreter, perl(Carp), perl(Exporter), perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::ShareDir::Install), perl(File::Spec), perl(IO::Dir), perl(IO::File), perl(lib), perl(strict), perl(vars), perl(warnings)
# Run-time
BuildRequires:  perl(base), perl(Class::Inspector) >= 1.12, perl(constant), perl(List::MoreUtils) >= 0.428, perl(Params::Util) >= 1.07
# Tests
BuildRequires:  perl(Cwd), perl(File::Basename), perl(File::Path), perl(parent), perl(POSIX), perl(Test::More) >= 0.47, perl(CPAN::Meta)
Requires:       perl(Class::Inspector) >= 1.12

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude}|perl\\(Class::Inspector\\)$

%description
The intent of File::ShareDir is to provide a companion to Class::Inspector and
File::HomeDir, modules that take a process that is well-known by advanced Perl
developers but gets a little tricky, and make it more available to the larger
Perl community.



%prep
%autosetup -n File-ShareDir-%{version}



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
%{_fixperms} %{buildroot}/*
chmod 644 share/sample.txt
chmod 644 share/subdir/sample.txt
rm -rf %{buildroot}/blib/lib/auto/share/dist/File-ShareDir/
rm -rf %{buildroot}/blib/lib/auto/share/module/File-ShareDir/test_file.txt



%check
make test AUTOMATED_TESTING=1



%files
%license LICENSE
%doc Changes README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.118-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.118-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.118-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.118-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.118-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.118-1
- Initial building
